Inhalte

# Anweisung Reset

Schließt alle geöffneten Dateien und schreibt den Inhalt aller Dateipuffer auf die Festplatte.

### Syntax:

    Reset

### Beispiel:

    Sub ExampleReset
    On Error GoTo ErrorHandler
        Dim iNumber As Integer
        Dim iCount As Integer
        Dim sLine As String
        Dim aFile As String
        aFile = "C:\Users\ThisUser\data.txt"
        iNumber = Freefile
        Open aFile For Output As #iNumber
        Print #iNumber, "Das ist eine Zeile Text"
        Close #iNumber
        iNumber = Freefile
        Open aFile For Input As iNumber
        For iCount = 1 To 5
            Line Input #iNumber, sLine
            If sLine <>"" Then
                Rem
            End If
        Next iCount
        Close #iNumber
        Exit Sub
    ErrorHandler:
        Reset
        MsgBox "Alle Dateien werden geschlossen", 0, "Fehler"
    End Sub

Verwandte Themen

Anweisung Close

Anweisung Open